Discussion:
[Mayan EDMS: 2539] Mayan EDMS 3.0 final, released
(too old to reply)
Roberto Rosario
2018-07-02 22:47:21 UTC
Permalink
It has been an adventure but it is finally done!

Mayan EDMS version 3.0 merges Mayan EDMS NG version 2.8, 2.9, 3.0, and
includes many more things.

No only code was merged but also people. Mayan EDMS NG developers Eric
Riggs and Michael Price have joined the Mayan EDMS core team.

Spin up a free demo instance using Play with Docker:
https://www.mayan-edms.com/demo/

Download the automated Docker installer here:
https://gitlab.com/mayan-edms/mayan-edms/blob/master/contrib/scripts/install/docker.sh

The complete list of changes is available here:
http://docs.mayan-edms.com/en/stable/releases/3.0.html

A post covering some aspects of the released can be found here:
https://medium.com/@siloraptor/mayan-edms-tempest-version-3-0-49b20850cc89

Docker image and Python PyPI package are available.

Thank you for your patience waiting for this release, for all the help
smashing the last release blocker bugs for all the translation updates, for
all the testing, and for all the words of support. Thank you!
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Costi Budai
2018-07-03 19:16:31 UTC
Permalink
That’s great news!
I think many users have been looking forward to this release.
Working as a tester, I know that such a big release always requires a
massive effort on the part of the team to develop, test, document and
launch.
You have reason to celebrate this milestone and we have to Thank you Robert
& team!
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-04 01:45:27 UTC
Permalink
Roberto - on my pip install update it switched the db from postgres to
sqlite somehow and my backend is not coming up as expected.

I know there are a bunch of new env variables for DB, do these go into my
settings/local.py file and what should be used for the DB values?

thanks!
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-04 03:15:47 UTC
Permalink
OK - made some progress. Converting my local.py to the new
media/mayan_settings area following the advanced deployment guide.
But start still get the below error. It does not seem to be able to find
the settings module on startup. I have updating my supervisord conf files
as instructed as well, but get the same below error. I think I am missing
a setup command?

thanks!

Traceback (most recent call last):
File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
execute_from_command_line(sys.argv)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py",
line 364, in execute_from_command_line
utility.execute()
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py",
line 308, in execute
settings.INSTALLED_APPS
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 56, in __getattr__
self._setup(name)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 41, in _setup
self._wrapped = Settings(settings_module)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 110, in __init__
mod = importlib.import_module(self.SETTINGS_MODULE)
File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
__import__(name)
ImportError: No module named media.mayan_settings.local_py
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Rosario
2018-07-04 22:46:38 UTC
Permalink
Mayan no longer imports a local.py by default. Most of the configuration is
now done using environment variable. If you have overrides in a previous
local.py move it to mayan_settings as you did.
Also tell your installation the module to import using
DJANGO_SETTINGS_MODULE=mayan_settings.local or if using the Docker image
the variable is MAYAN_SETTINGS_MODULE=mayan_settings.local
That is the only setting which uses a different name depending on the
installation method.
Add blank __init__.py files to the media and mayan_settings folder to make
it importable via Python. You can use:

touch media/__init__.py
touch media/mayan_settings/__init__.py
Post by Victor Zele
OK - made some progress. Converting my local.py to the new
media/mayan_settings area following the advanced deployment guide.
But start still get the below error. It does not seem to be able to find
the settings module on startup. I have updating my supervisord conf files
as instructed as well, but get the same below error. I think I am missing
a setup command?
thanks!
File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
execute_from_command_line(sys.argv)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py",
line 364, in execute_from_command_line
utility.execute()
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py",
line 308, in execute
settings.INSTALLED_APPS
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 56, in __getattr__
self._setup(name)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 41, in _setup
self._wrapped = Settings(settings_module)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py",
line 110, in __init__
mod = importlib.import_module(self.SETTINGS_MODULE)
File "/usr/lib/python2.7/importlib/__init__.py", line 37, in
import_module
__import__(name)
ImportError: No module named media.mayan_settings.local_py
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-05 15:19:10 UTC
Permalink
OK - that helped a lot. I also had to update user from default mayan to
www-data or /tmp lock file gave permission denied.

Its starting up but I seem to need to run the performupgrade, but it fails
for me since I am moving from NG 3.0.2 to Mayan 3.0 now.
Startup errors below show some tables missing.

thanks for the help.

No handlers could be found for logger "pyocr.libtesseract"
/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/common/apps.py:97:
UserWarning: Your database backend is set to use SQLite. SQLite should only
be used for development and testing, not for production.
warnings.warn(force_text(MESSAGE_SQLITE_WARNING))
[2018-07-05 14:59:07,088: CRITICAL/MainProcess] beat raised exception
<class 'django.db.utils.OperationalError'>: OperationalError('no such
table: djcelery_periodictask',)
Traceback (most recent call last):


(mayan-edms) ***@sjc1-mayan01:/usr/share/mayan-edms# mayan-edms.py
performupgrade
No handlers could be found for logger "pyocr.libtesseract"
Operations to perform:
Apply all migrations: acls, actstream, admin, auth, authtoken, autoadmin,
cabinets, checkouts, common, contenttypes, converter, django_gpg, djcelery,
document_comments, document_indexing, document_parsing,
document_signatures, document_states, documents, dynamic_search, events,
linking, lock_manager, mailer, mayan_statistics, metadata, motd, ocr,
permissions, sessions, sites, sources, tags
Running migrations:
Applying linking.0006_auto_20180402_0339...CommandError: Error during
pre_upgrade signal: relation "linking_smartlink_label_3321a5d9" already
exists
, <class 'django.db.utils.ProgrammingError'>
(mayan-edms) ***@sjc1-mayan01:/usr/share/mayan-edms#
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-05 15:35:50 UTC
Permalink
OK - below was because my settings file was not being picked up in the
supervisord .conf file. It does not like the env variable there, so I hard
coded it on each startup command with the --settings option. Now mayan is
up on port 8000! Will have to adjust my Nginx/SSL setup accordingly from
the old uwsgi settings. I guess we are using gunicorn now?

thanks!
Post by Victor Zele
OK - that helped a lot. I also had to update user from default mayan to
www-data or /tmp lock file gave permission denied.
Its starting up but I seem to need to run the performupgrade, but it fails
for me since I am moving from NG 3.0.2 to Mayan 3.0 now.
Startup errors below show some tables missing.
thanks for the help.
No handlers could be found for logger "pyocr.libtesseract"
UserWarning: Your database backend is set to use SQLite. SQLite should only
be used for development and testing, not for production.
warnings.warn(force_text(MESSAGE_SQLITE_WARNING))
[2018-07-05 14:59:07,088: CRITICAL/MainProcess] beat raised exception
<class 'django.db.utils.OperationalError'>: OperationalError('no such
table: djcelery_periodictask',)
performupgrade
No handlers could be found for logger "pyocr.libtesseract"
Apply all migrations: acls, actstream, admin, auth, authtoken,
autoadmin, cabinets, checkouts, common, contenttypes, converter,
django_gpg, djcelery, document_comments, document_indexing,
document_parsing, document_signatures, document_states, documents,
dynamic_search, events, linking, lock_manager, mailer, mayan_statistics,
metadata, motd, ocr, permissions, sessions, sites, sources, tags
Applying linking.0006_auto_20180402_0339...CommandError: Error during
pre_upgrade signal: relation "linking_smartlink_label_3321a5d9" already
exists
, <class 'django.db.utils.ProgrammingError'>
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-05 21:35:58 UTC
Permalink
Anyone using nginx with uwsgi, below is the root nginx proxy config I used
to restore connectivity to gunicorn server on port 8000.

# update root location to proxy_pass to port 8000 gunicorn app server
location / {
proxy_pass http://127.0.0.1:8000;
}

I have an issue though with processing new documents. The logs are
reporting gpg not available, but its installed and was working before?
gpg binary is located in /usr/bin/gpg but not being found somehow?

thanks


[2018-07-05 21:34:51,858: CRITICAL/Worker-1] Unexpected exception while
trying to create version for new document "CON-20180703-1256-2.pdf" from
source "Contracts"; Unable to run gpg - it may not be available.
Traceback (most recent call last):
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/sources/models.py",
line 145, in upload_document
file_object=file_object, _user=user,
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/documents/models.py",
line 257, in new_version
document_version.save(_user=_user)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/documents/models.py",
line 566, in save
document_version=self
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/db/models/manager.py",
line 85, in manager_method
return getattr(self.get_queryset(), name)(*args, **kwargs)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/db/models/query.py",
line 394, in create
obj.save(force_insert=True, using=self.db)
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/document_signatures/models.py",
line 111, in save
file_object=file_object
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/django_gpg/managers.py",
line 117, in verify_file
file_object=file_object, keys=keys
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/django_gpg/classes.py",
line 120, in verify_file
keys=keys, data_filename=data_filename
File
"/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/apps/django_gpg/classes.py",
line 79, in gpg_command
gnupghome=temporary_directory, gpgbinary=self.kwargs['binary_path']
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/gnupg.py",
line 755, in __init__
raise OSError(msg)
OSError: Unable to run gpg - it may not be available.
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-05 21:38:33 UTC
Permalink
gnupg.py wrapper is reporting error with the below version check?

***@sjc1-mayan01:# gpg --version
gpg (GnuPG) 1.4.16
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Home: ~/.gnupg
Supported algorithms:
Pubkey: RSA, RSA-E, RSA-S, ELG-E, DSA
Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
CAMELLIA128, CAMELLIA192, CAMELLIA256
Hash: MD5, SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Rosario
2018-07-06 03:07:54 UTC
Permalink
The default value for this binary is now /usr/bin/gpg1 to reflect the
changes done by most distributions. Pass the location of the GPG binary
using the SIGNATURES_GPG_PATH setting option on your Python settings file
or via MAYAN_SIGNATURES_GPG_PATH if passed as an environment variable.

Here is the new installation
guide: http://docs.mayan-edms.com/en/stable/topics/deploying.html#deploying
supervisord need the environment variable in a very specific format (first
line empty, following lines prepended with a tab, last line without a comma)

[supervisord]environment=
MAYAN_ALLOWED_HOSTS="*", # Allow access to other network hosts other than localhost
MAYAN_CELERY_RESULT_BACKEND="redis://127.0.0.1:6379/0",
MAYAN_BROKER_URL="redis://127.0.0.1:6379/0",
PYTHONPATH=/opt/mayan-edms/lib/python2.7/site-packages:/opt/mayan-edms/data,
MAYAN_MEDIA_ROOT=/opt/mayan-edms/media,
MAYAN_DATABASE_ENGINE=django.db.backends.postgresql,
MAYAN_DATABASE_HOST=127.0.0.1,
MAYAN_DATABASE_NAME=mayan,
MAYAN_DATABASE_PASSWORD=mayanuserpass,
MAYAN_DATABASE_USER=mayan,
MAYAN_DATABASE_CONN_MAX_AGE=60,
DJANGO_SETTINGS_MODULE=mayan.settings.production
Post by Victor Zele
gnupg.py wrapper is reporting error with the below version check?
gpg (GnuPG) 1.4.16
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <
http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Home: ~/.gnupg
Pubkey: RSA, RSA-E, RSA-S, ELG-E, DSA
Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
CAMELLIA128, CAMELLIA192, CAMELLIA256
Hash: MD5, SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-06 15:38:07 UTC
Permalink
Thanks Roberto! Mayan now fully functioning on 3.0.

FYI - LDAP/Active Directory authentication still works as expected.
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Rosario
2018-07-04 22:41:53 UTC
Permalink
Thank you Costi! Indeed testing and re-testing was very crucial and time
consuming. We are very grateful for all the testing and reporting done by
users.
Post by Costi Budai
That’s great news!
I think many users have been looking forward to this release.
Working as a tester, I know that such a big release always requires a
massive effort on the part of the team to develop, test, document and
launch.
You have reason to celebrate this milestone and we have to Thank you
Robert & team!
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Fernando Apolinário
2018-07-09 17:24:44 UTC
Permalink
Good morning, I updated my installation following this procedure:

# Stop the web server
service nginx stop

# Stop the mayan uwsgi, worker and beat services
supervisorctl stop all

# Stop the redis queue server
service redis-server stop


3. We installed Mayan in a virtual environment so we must activate it to
update Mayan

source /usr/share/mayan-edms/bin/activate


4. Add missing dependancies

apt-get install graphviz -y


5. Update using pip

pip install -U mayan-edms (pip install --force-reinstall mayan-edms)

6. Run migration for database

mayan-edms.py performupgrade

7. Update static media files

mayan-edms.py collectstatic --noinput

8. Exit the virtual enviroment

deactivate


9. Remove old lock file

rm /tmp/mayan_locks.tmp


10. Logging was added, update log file location and create with with
correct user

# Add logging option to local settings file
echo "COMMON_PRODUCTION_ERROR_LOG_PATH = '/var/log/mayan/mayan-error.log'"
Post by Roberto Rosario
/usr/share/mayan-edms/mayan/settings/local.py
# Create new log file and set permissions
touch /var/log/mayan/mayan-error.log
chown www-data:www-data /var/log/mayan/mayan-error.log



11. Restart the services

# Start the redis queue server
service redis-server start

# Start the mayan uwsgi, worker and beat services
supervisorctl start all

# Start the web server
service nginx start

When I access the site I receive the following message: Bad request
(400). There is downgrade version to fix it.

Best regards,
Fernando.
Post by Roberto Rosario
It has been an adventure but it is finally done!
Mayan EDMS version 3.0 merges Mayan EDMS NG version 2.8, 2.9, 3.0, and
includes many more things.
No only code was merged but also people. Mayan EDMS NG developers Eric
Riggs and Michael Price have joined the Mayan EDMS core team.
https://www.mayan-edms.com/demo/
https://gitlab.com/mayan-edms/mayan-edms/blob/master/contrib/scripts/install/docker.sh
http://docs.mayan-edms.com/en/stable/releases/3.0.html
Docker image and Python PyPI package are available.
Thank you for your patience waiting for this release, for all the help
smashing the last release blocker bugs for all the translation updates, for
all the testing, and for all the words of support. Thank you!
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Victor Zele
2018-07-10 17:58:43 UTC
Permalink
You need to switch the supervisord config from uwsgi web frontend to
gunicorn. See advanced deployment guide page.

Then update your /etc/nginx/site-enabled/mayan config to port 8000 proxy as
I stated in this thread.
--
**CONFIDENTIALITY
NOTICE:* *

*This transmission may contain information
which is Vimo, Inc. (DBA
Getinsured) confidential and/or legally
privileged. The information is intended
only for the use of the individual
or entity named on this transmission. If you
are not the intended
recipient, you are hereby notified that any disclosure,
copying, or
distribution of the contents of this transmission is strictly
prohibited.
If you have received this transmission in error, please immediately
notify
me by return e-mail and destroy all copies of the original message.*
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Lin Pro
2018-07-12 22:54:02 UTC
Permalink
Great thanks for all the work your have done to further the project of Mayan EDMS.
Thanks to Eric and Mike for joining to core team and their coding contributions.


Regards
Lin
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Rosario
2018-07-13 01:13:46 UTC
Permalink
Thanks! We all worked very hard to get this one out the door. The
community, users and translators were also very helpful and had a big part
to play too scrutinizing the 1,300 commits for this version.
Post by Lin Pro
Great thanks for all the work your have done to further the project of Mayan EDMS.
Thanks to Eric and Mike for joining to core team and their coding contributions.
Regards
Lin
--
---
You received this message because you are subscribed to the Google Groups
"Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an
For more options, visit https://groups.google.com/d/optout.
--
---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mayan-edms+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Loading...